Summary:	The GNU data compression program.
Name:		gzip
Group:		Applications/File
License:	GPL
Version:	1.3
Release:	2
Source0:	ftp://prep.ai.mit.edu/pub/gnu/gzip-%{version}.tar.gz
Patch0:		gzip-1.3-1.2.4a-remnents-gd.diff
Patch1:		gzip-1.3-openbsd-owl-tmp-gd.diff
Requires:	mktemp
Buildroot:	%{_tmppath}/%{name}-%{release}-root

%description
The gzip package contains the popular GNU gzip data compression
program.  Gzipped files have a .gz extension.  Gzip should be
installed on your system, because it is a very commonly used
data compression program.  

%files
  %doc NEWS README
  %doc %{_mandir}/*/*
  %doc %{_infodir}/gzip.info*
  %attr(0511,root,root)	%{_bindir}/*
  %attr(0511,root,root)	%{_root_bindir}/*

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
  %configure
  make %{_smp_mflags}

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  %makeinstall

  strip $RPM_BUILD_ROOT/%{_bindir}/gzip

  mkdir -p $RPM_BUILD_ROOT/%{_root_bindir}
  mv -f $RPM_BUILD_ROOT/%{_bindir}/gzip $RPM_BUILD_ROOT/%{_root_bindir}/gzip
  rm -f $RPM_BUILD_ROOT/%{_bindir}/gunzip $RPM_BUILD_ROOT/%{_bindir}/zcat
  ln -f $RPM_BUILD_ROOT/%{_root_bindir}/gzip $RPM_BUILD_ROOT/%{_root_bindir}/gunzip
  ln -f $RPM_BUILD_ROOT/%{_root_bindir}/gzip $RPM_BUILD_ROOT/%{_root_bindir}/zcat
  ln -sf ../../%{_root_bindir}/gzip $RPM_BUILD_ROOT/%{_bindir}/gzip
  ln -sf ../../%{_root_bindir}/gunzip $RPM_BUILD_ROOT/%{_bindir}/gunzip

  for i in zcmp zdiff zforce zgrep zmore znew ; do
    sed -e "s|$RPM_BUILD_ROOT||g" < $RPM_BUILD_ROOT/%{_bindir}/$i > $RPM_BUILD_ROOT/%{_bindir}/.$i
    rm -f $RPM_BUILD_ROOT/%{_bindir}/$i
    mv $RPM_BUILD_ROOT/%{_bindir}/.$i $RPM_BUILD_ROOT/%{_bindir}/$i
    chmod 755 $RPM_BUILD_ROOT/%{_bindir}/$i
  done

  cat > $RPM_BUILD_ROOT/%{_bindir}/zless <<EOF
#!/bin/sh
/%{_root_bindir}/zcat "\$@" | /%{_bindir}/less
EOF
  chmod 755 $RPM_BUILD_ROOT/%{_bindir}/zless

  # Remove unpackaged files.
  rm -f $RPM_BUILD_ROOT/%{_infodir}/dir

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Jul 25 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.3, Release 2
  - Bump release so APT recognizes that we are newer.

* Tue Jun 29 2005 Pete O'Hara <pete@guardiandigital.com>
- Version 1.3, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
